export class System {
    constructor(executor) {
        this.executor = executor;
    }
    execute(world) {
        if (this.executor) {
            this.executor(world);
        }
    }
    setQuery(query) {
        this.query = query;
    }
    getQuery() {
        return this.query;
    }
    executeQuery() {
        return this.query.execute();
    }
    init(world) {
        return;
    }
}
